package com.example.fieldagent.utils

import android.Manifest
import android.content.Context
import android.content.Intent
import android.net.ConnectivityManager
import android.net.NetworkCapabilities
import android.os.Build
import android.util.Log
import android.widget.Toast
import androidx.annotation.RequiresPermission
import com.example.fieldagent.R


/*  fun showRetrofitErrorToast() {
      Toast.makeText(context, context.getString(R.string.might_problem), Toast.LENGTH_LONG).show()
  }*/


fun isConnectedToInternet(context: Context, showAlert: Boolean): Boolean {
    val isConnected = isConnectedToInternet(context)

    if (!isConnected)
    {
        if(showAlert)
        {
            Toast.makeText(context,context.getString(R.string.check_internet),Toast.LENGTH_SHORT).show()
        }

        return false
    }else{
        return true
    }
}
fun isConnectedToInternetHome(context: Context, showAlert: Boolean): Boolean {
    val isConnected = isConnectedToInternet(context)

    if (!isConnected)
    {
        Toast.makeText(context,context.getString(R.string.check_internet),Toast.LENGTH_SHORT).show()
        return false
    }else{
        return true
    }
}


private fun isConnectedToInternet(context: Context?): Boolean {
    val connectivityManager = context?.getSystemService(Context.CONNECTIVITY_SERVICE) as ConnectivityManager

    val activeNetwork = connectivityManager.activeNetwork ?: return false
    val networkCapabilities = connectivityManager.getNetworkCapabilities(activeNetwork)
        ?: return false
    return when {
        networkCapabilities.hasTransport(NetworkCapabilities.TRANSPORT_WIFI) -> true
        networkCapabilities.hasTransport(NetworkCapabilities.TRANSPORT_CELLULAR) -> true
        //for other device how are able to connect with Ethernet
        networkCapabilities.hasTransport(NetworkCapabilities.TRANSPORT_ETHERNET) -> true
        //for check internet over Bluetooth
        networkCapabilities.hasTransport(NetworkCapabilities.TRANSPORT_BLUETOOTH) -> true
        else -> false
    }
}